package it.unibo.stradivarius.notificationandservices;

import android.app.IntentService;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Intent;

import androidx.annotation.Nullable;
import androidx.core.app.NotificationCompat;

public class DownloadService extends IntentService {

    final static String CHAN_ID = "ChannelIdCustom";

    public DownloadService () { super("DownloadService"); }

    @Override
    protected void onHandleIntent(@Nullable Intent intent) {

        Intent i = new Intent(Intent.ACTION_DIAL);
        i.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TASK | Intent.FLAG_ACTIVITY_NEW_TASK);
        i.putExtra("CALLER", "MainActivity");
        PendingIntent pi = PendingIntent.getActivity(getApplicationContext(), 0, i, 0);

        NotificationCompat.Builder builder = new NotificationCompat.Builder(getApplicationContext(), CHAN_ID);
        builder.setSmallIcon(R.mipmap.ic_launcher).setContentTitle("Title").setContentText("Text");
        builder.setAutoCancel(true).setPriority(NotificationCompat.PRIORITY_DEFAULT);
        builder.setContentIntent(pi);
        NotificationManager nm = getSystemService(NotificationManager.class);
        builder.setProgress(100, 0, false);
        nm.notify(0, builder.build());

        int c;
        for (c=0;c<=100;c++) {
            builder.setProgress(100, c, false);
            nm.notify(0, builder.build());

            try {
                Thread.sleep(50);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }

    }
}
